Commit e2bf4d83 authored by Otto Kekäläinen's avatar Otto Kekäläinen

Deb: Remove commented out patches that for sure are not used anymore

parent 5549d62b
# 01_MAKEFILES__Docs_Images_Makefile.in.dpatch
# 01_MAKEFILES__Docs_Makefile.in.dpatch
# 21_init__openquery_configtest.dpatch
33_scripts__mysql_create_system_tables__no_test.dpatch
38_scripts__mysqld_safe.sh__signals.dpatch
41_scripts__mysql_install_db.sh__no_test.dpatch
# 44_scripts__mysql_config__libs.dpatch
50_mysql-test__db_test.dpatch
# 60_zlib_innodb_workaround.dpatch
61_replace_dash_with_bash_mbug675185.dpatch
This diff is collapsed.
#! /bin/sh /usr/share/dpatch/dpatch-run
## 35_init__openquery_configtest.dpatch by <me@cafuego.net>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: init__openquery_configtest.dpatch
@DPATCH@
--- old/debian/mysql-server-5.0.mysql.init.orig 2008-12-19 12:03:30.379898336 +1100
+++ new/debian/mysql-server-5.0.mysql.init 2008-12-19 12:04:46.660451093 +1100
@@ -182,8 +182,21 @@
fi
;;
+ 'configtest')
+ log_daemon_msg "Testing MySQL configuration" "syntax"
+ set +e
+ help_out=`/usr/sbin/mysqld --help 2>&1`; r=$?
+ set -e
+ if [ "$r" -ne 0 ]; then
+ log_failure_msg "$help_out"
+ log_failure_msg "There are syntax errors in the server configuration. Please fix them!"
+ fi
+ log_end_msg $r
+ exit $r
+ ;;
+
*)
- echo "Usage: $SELF start|stop|restart|reload|force-reload|status"
+ echo "Usage: $SELF start|stop|restart|reload|force-reload|status|configtest"
exit 1
;;
esac
#! /bin/sh /usr/share/dpatch/dpatch-run
## 99-unnamed.dpatch by <ch@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Removes unnecessary library dependencies. See #390692
@DPATCH@
diff -Nur mysql-dfsg-5.1-5.1.31.orig/scripts/mysql_config.sh mysql-dfsg-5.1-5.1.31/scripts/mysql_config.sh
--- mysql-dfsg-5.1-5.1.31.orig/scripts/mysql_config.sh 2009-01-19 17:30:55.000000000 +0100
+++ mysql-dfsg-5.1-5.1.31/scripts/mysql_config.sh 2009-02-08 17:17:48.000000000 +0100
@@ -106,10 +106,10 @@
# Create options
# We intentionally add a space to the beginning and end of lib strings, simplifies replace later
-libs=" $ldflags -L$pkglibdir @RPATH_OPTION@ -lmysqlclient @ZLIB_DEPS@ @NON_THREADED_LIBS@"
+libs=" $ldflags -L$pkglibdir @RPATH_OPTION@ -lmysqlclient"
libs="$libs @openssl_libs@ @STATIC_NSS_FLAGS@ "
-libs_r=" $ldflags -L$pkglibdir @RPATH_OPTION@ -lmysqlclient_r @ZLIB_DEPS@ @CLIENT_LIBS@ @openssl_libs@ "
-embedded_libs=" $ldflags -L$pkglibdir @RPATH_OPTION@ -lmysqld @LIBDL@ @ZLIB_DEPS@ @LIBS@ @WRAPLIBS@ @openssl_libs@ "
+libs_r=" $ldflags -L$pkglibdir @RPATH_OPTION@ -lmysqlclient_r @CLIENT_LIBS@ @openssl_libs@ "
+embedded_libs=" $ldflags -L$pkglibdir @RPATH_OPTION@ -lmysqld @LIBDL@ @WRAPLIBS@ @openssl_libs@ "
if [ -r "$pkglibdir/libmygcc.a" ]; then
# When linking against the static library with a different version of GCC
#! /bin/sh /usr/share/dpatch/dpatch-run
## 60_zlib_innodb_workaround.dpatch by Norbert Tretkowski <nobse@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: http://bugs.mysql.com/bug.php?id=47495
@DPATCH@
diff -Nur mysql-dfsg-5.1-5.1.39.orig/mysql-test/suite/innodb/r/innodb-zip.result mysql-dfsg-5.1-5.1.39/mysql-test/suite/innodb/r/innodb-zip.result
--- mysql-dfsg-5.1-5.1.39.orig/mysql-test/suite/innodb/r/innodb-zip.result 2009-09-04 19:04:38.000000000 +0200
+++ mysql-dfsg-5.1-5.1.39/mysql-test/suite/innodb/r/innodb-zip.result 2009-09-28 16:01:33.000000000 +0200
@@ -141,7 +141,7 @@
CREATE TABLE t1(c TEXT, PRIMARY KEY (c(440)))
ENGINE=InnoDB ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=1 CHARSET=ASCII;
ERROR 42000: Row size too large. The maximum row size for the used table type, not counting BLOBs, is 8126. You have to change some columns to TEXT or BLOBs
-CREATE TABLE t1(c TEXT, PRIMARY KEY (c(439)))
+CREATE TABLE t1(c TEXT, PRIMARY KEY (c(438)))
ENGINE=InnoDB ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=1 CHARSET=ASCII;
INSERT INTO t1 VALUES(REPEAT('A',512)),(REPEAT('B',512));
DROP TABLE t1;
diff -Nur mysql-dfsg-5.1-5.1.39.orig/mysql-test/suite/innodb/t/innodb-zip.test mysql-dfsg-5.1-5.1.39/mysql-test/suite/innodb/t/innodb-zip.test
--- mysql-dfsg-5.1-5.1.39.orig/mysql-test/suite/innodb/t/innodb-zip.test 2009-09-04 19:04:37.000000000 +0200
+++ mysql-dfsg-5.1-5.1.39/mysql-test/suite/innodb/t/innodb-zip.test 2009-09-28 16:01:22.000000000 +0200
@@ -106,7 +106,7 @@
--error ER_TOO_BIG_ROWSIZE
CREATE TABLE t1(c TEXT, PRIMARY KEY (c(440)))
ENGINE=InnoDB ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=1 CHARSET=ASCII;
-CREATE TABLE t1(c TEXT, PRIMARY KEY (c(439)))
+CREATE TABLE t1(c TEXT, PRIMARY KEY (c(438)))
ENGINE=InnoDB ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=1 CHARSET=ASCII;
INSERT INTO t1 VALUES(REPEAT('A',512)),(REPEAT('B',512));
DROP TABLE t1;
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment